[Unit]
Description=Squeekboard on-screen keyboard
PartOf=graphical-session.target
After=graphical-session.target
Requisite=graphical-session.target

[Service]
Environment=DISPLAY=:0
Environment=DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
Type=simple
ExecStart=/usr/bin/squeekboard
Restart=on-failure
RestartSec=1

[Install]
WantedBy=graphical-session.target
